Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.vole
Class CheckBox

    java.lang.Object
      jcontrol.ui.vole.Component
          jcontrol.ui.vole.CheckBox

    public class CheckBox

extends Component

The `CheckBox` is a graphical component that can be in either an "on" (true) or "off" (false) state. When the user changes the state, an `ActionEvent` of type `STATE_CHANGED` is fired.

(c) Copyright 2003-2007 DOMOLOGIC GmbH

Field Summary

Fields inherited from class jcontrol.ui.vole.Component
`eventQueue, focusOwner, font, g, height, listener, parent, visible, width, x, y`

Constructor Summary
`CheckBox(String label, int x, int y)` Create a new labeled `CheckBox` which is initially "off".
`CheckBox(String label, int x, int y, int width, int height)` Create a new labeled `CheckBox` with specified bounds which is initially "off".

Method Summary
`boolean` | `getState()` Get the current state of this `CheckBox`.
`boolean` | `onKeyEvent(KeyEvent e)` Handle key events.
`void` | `paint()` Paint the button.
`void` | `setActionListener(ActionListener listener)` Add an `ActionListener` to the check box.
`void` | `setLabel(String label)` Change the label if this check box.
`void` | `setState(boolean state)` Set the state of this `CheckBox`.
`void` | `validate()` Compute this component's preferred size and assign internal values width and height.

Methods inherited from class jcontrol.ui.vole.Component
`getBounds, getParent, isVisible, onActionEvent, remove, removeFocus, requestFocus, setBounds, setFont, setGraphics, setParent, setVisible, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Constructor Detail

### CheckBox

    public CheckBox(String label,
                    int x,
                    int y)

  Create a new labeled `CheckBox` which is initially "off". When no width and height are specified, a preferred size depending on the label dimensions is calculated.

  Parameters:
    `label` - A `String` that is written on the `CheckBox`.
    `x` - The x-coordinate of this `CheckBox`.
    `y` - The y-coordinate of this `CheckBox`.

### CheckBox

    public CheckBox(String label,
                    int x,
                    int y,
                    int width,
                    int height)

  Create a new labeled `CheckBox` with specified bounds which is initially "off".

  Parameters:
    `label` - A `String` that is written on the `CheckBox`.
    `x` - The x-coordinate of this `CheckBox`.
    `y` - The y-coordinate of this `CheckBox`.
    `width` - The width of this `CheckBox`.
    `height` - The height of this `CheckBox`.

Method Detail

### setLabel

    public void setLabel(String label)

  Change the label if this check box.

  Parameters:
    `label` - The new label or null if the button has no label.

### setState

    public void setState(boolean state)

  Set the state of this `CheckBox`.

  Parameters:
    `state` - The new state of the check box.

### getState

    public boolean getState()

  Get the current state of this `CheckBox`.

  Returns:
    The current state of the check box.

### paint

    public void paint()

  Paint the button.

  Overrides:
    `paint` in class `Component`

### validate

    public void validate()

  Compute this component's preferred size and assign internal values width and height.

  Overrides:
    `validate` in class `Component`

### setActionListener

    public void setActionListener(ActionListener listener)

  Add an `ActionListener` to the check box. It will receive `STATE_CHANGED` action events when the state has changed.

  Parameters:
    `listener` - The new ActionListener or null.

### onKeyEvent

    public boolean onKeyEvent(KeyEvent e)

  Handle key events.

  Overrides:
    `onKeyEvent` in class `Component`
  Parameters:
    `e` - The KeyEvent.
  Returns:
    If this method returns true, the KeyEvent is handled by the super `Container`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD